%global momorel 1
%global mainver 0.7
%global minorver 2
%global patchver %{mainver}.%{minorver}
%global qtver 4.8.6

Summary: CD/DVD media check/drive control tools
Name: qpxtool
Version: %{mainver}.%{minorver}
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://qpxtool.sourceforge.net/
Source0: http://dl.sourceforge.net/project/%{name}/%{name}/%{mainver}.x/%{version}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{patchver}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-libs = %{version}-%{release}
BuildRequires: qt-devel >= %{qtver}
BuildRequires: ImageMagick

%description
QPxTool is the way to get full control over your CD/DVD drives.
It is the Open Source Solution which intends to give you access to all
available Quality Checks (Q-Checks) on written and blank media, that
are available for your drive. This will help you to find the right media
and the optimized writing speed for your hardware, which will increase
the chance for a long data lifetime.

Console CD/DVD media check and drive control tools and libraries

qscan       - quality check tool
qscand      - network quality check daemon (frontend to qscan)
readdvd     - a little tool for reading damaged CD/DVD (multi-pass)
cdvdcontrol - extended drive features control tool
pxfw        - firmware flasher for Plextor drives
f1tattoo    - DiscT@2 tool for Yamaha CRW-F1

%package libs
Summary: Shared runtime libraries of QPxTool
Group: System Environment/Libraries

%description libs
This package contains shared runtime libraries of QPxTool.

%package devel
Summary: QPxTool - files for developing
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on QPxTool.

%prep
%setup -q

%patch0 -p1 -b .desktop_ja~

%build
export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

./configure \
  --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir}

make %{?_smp_mflags} all

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category AudioVideo \
  --add-category Audio \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
convert -scale 16x16 gui/%{name}.ico %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 gui/%{name}.ico %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 gui/%{name}.ico %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
convert -scale 64x64 gui/%{name}.ico %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{_bindir}/update-desktop-database &> /dev/null ||:

%postun
%{_bindir}/update-desktop-database &> /dev/null ||:

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%{_bindir}/cdvdcontrol
%{_bindir}/f1tattoo
%{_bindir}/%{name}
%{_bindir}/qscan
%{_bindir}/qscand
%{_bindir}/readdvd
%{_sbindir}/pxfw
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/cdvdcontrol.1*
%{_mandir}/man1/f1tattoo.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/qscan.1*
%{_mandir}/man1/qscand.1*
%{_mandir}/man1/readdvd.1*
%{_mandir}/man8/pxfw.8*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%files libs
%defattr(-, root, root)
%{_libdir}/%{name}
%{_libdir}/libqpx*.so.*

%files devel
%defattr(-, root, root)
%{_kde4_includedir}/%{name}
%{_kde4_libdir}/libqpx*.so

%changelog
* Sun Aug 23 2015 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-1m)
- import and rewrite spec for CD-R lovers using Momonga Linux ;)

* Wed Nov 11 2009 Gennady "ShultZ" Kozlov <qpxtool@mail.ru>
- main package splitted to main,lib

* Wed Oct 21 2009 Gennady "ShultZ" Kozlov <qpxtool@mail.ru>
- splitted packages: main, devel, gui

* Tue Jul 21 2009 Gennady "ShultZ" Kozlov <qpxtool@mail.ru>
- initial spec file created